### Hierarchy

- unknown
  - SignedOffer

## Index

### Constructors

- constructor

### Methods

- getArbitratorSignature
- getOfferId
- getReserveTxHash
- getReserveTxHex
- serializeBinary
- setArbitratorSignature
- setOfferId
- setReserveTxHash
- setReserveTxHex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SignedOffer(): SignedOffer

- Inherited from jspb.Message.constructor

  #### Returns SignedOffer

## Methods

### getArbitratorSignature

- getArbitratorSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:6510

  #### Returns string

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/pb_pb.d.ts:6501

  #### Returns string

### getReserveTxHash

- getReserveTxHash(): string

- - Defined in src/protobuf/pb_pb.d.ts:6504

  #### Returns string

### getReserveTxHex

- getReserveTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:6507

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6513

  #### Returns Uint8Array

### setArbitratorSignature

- setArbitratorSignature(value: string): SignedOffer

- - Defined in src/protobuf/pb_pb.d.ts:6511

  #### Parameters

  - ##### value: string

  #### Returns SignedOffer

### setOfferId

- setOfferId(value: string): SignedOffer

- - Defined in src/protobuf/pb_pb.d.ts:6502

  #### Parameters

  - ##### value: string

  #### Returns SignedOffer

### setReserveTxHash

- setReserveTxHash(value: string): SignedOffer

- - Defined in src/protobuf/pb_pb.d.ts:6505

  #### Parameters

  - ##### value: string

  #### Returns SignedOffer

### setReserveTxHex

- setReserveTxHex(value: string): SignedOffer

- - Defined in src/protobuf/pb_pb.d.ts:6508

  #### Parameters

  - ##### value: string

  #### Returns SignedOffer

### toObject

- toObject(includeInstance?: boolean): SignedOffer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6514

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SignedOffer . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignedOffer

- - Defined in src/protobuf/pb_pb.d.ts:6517

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignedOffer

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignedOffer, reader: BinaryReader): SignedOffer

- - Defined in src/protobuf/pb_pb.d.ts:6518

  #### Parameters

  - ##### message: SignedOffer

  - ##### reader: BinaryReader

  #### Returns SignedOffer

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SignedOffer, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6516

  #### Parameters

  - ##### message: SignedOffer

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SignedOffer ): SignedOffer . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6515

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignedOffer

  #### Returns SignedOffer . AsObject

Generated using TypeDoc